Skip to Content
webagent docs
API reference

Inboxes

Test inboxes for sign-up and verification flows.

Open as .md

List live inboxes

GET
/v1/inboxes

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Response Body

OK

application/json
  1. response
inboxes*array<>
Example Request
curl -X GET 'https://api.us.webagent.lookover.ai/v1/inboxes'
Example Response
{  "inboxes": [    {      "id": "string",      "address": "string",      "createdAt": 0,      "expiresAt": 0    }  ]}
POST
/v1/inboxes

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Response Body

OK

application/json
  1. response
id*string
Match^inb_(us|in)_[0-9a-z]{24}$
address*string
createdAt*number
expiresAt*number
Example Request
curl -X POST 'https://api.us.webagent.lookover.ai/v1/inboxes'
Example Response
{  "id": "string",  "address": "string",  "createdAt": 0,  "expiresAt": 0}

Get an inbox

GET
/v1/inboxes/{id}

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Path Parameters

id*string
Match^inb_(us|in)_[0-9a-z]{24}$

Response Body

OK

application/json
  1. response
id*string
Match^inb_(us|in)_[0-9a-z]{24}$
address*string
createdAt*number
expiresAt*number
Example Request
curl -X GET 'https://api.us.webagent.lookover.ai/v1/inboxes/string'
Example Response
{  "id": "string",  "address": "string",  "createdAt": 0,  "expiresAt": 0}

Delete an inbox

DELETE
/v1/inboxes/{id}

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Path Parameters

id*string
Match^inb_(us|in)_[0-9a-z]{24}$

Response Body

OK

application/json
  1. response
deleted*boolean
Example Request
curl -X DELETE 'https://api.us.webagent.lookover.ai/v1/inboxes/string'
Example Response
{  "deleted": true}
GET
/v1/inboxes/{id}/messages

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Path Parameters

id*string
Match^inb_(us|in)_[0-9a-z]{24}$

Query Parameters

wait?string
Lengthlength <= 10
after?string
Lengthlength <= 40

Response Body

OK

application/json
  1. response
messages*array<>
Example Request
curl -X GET 'https://api.us.webagent.lookover.ai/v1/inboxes/string/messages'
Example Response
{  "messages": [    {      "id": "string",      "from": "string",      "to": [        "string"      ],      "subject": "string",      "text": "string",      "links": [        "string"      ],      "code": "string",      "receivedAt": 0    }  ]}